# note: this file can be imported by CI in other projects
# take care when modifying this file
$schema: https://raw.githubusercontent.com/streetsidesoftware/cspell/main/cspell.schema.json
version: '0.2'
language: en
useGitignore: true
ignorePaths:
  - './.cspell-ignore'
  - node_modules
  - '*.svg'
dictionaryDefinitions:
  - name: project-words
    path: ./.cspell-ignore
    addWords: true
dictionaries:
  - 'project-words'
  # cspell provided dictionaries
  - typescript
  - node
  - html
  - css
  - fonts
  - filetypes
  - npm
  - softwareTerms
  #  - go
  #  - python
  #  - powershell
  #  - cpp
  #  - bash
words:
  # C2Games Names
  - hackathon
  - cnyhackathon
  - ncae
  - NCAE
  - ncaecybergames
  - c2
  - c2games
  - cybergames
  # Regional Lead & School Names
  - Kostka
  - Kinnon
  - Goel
  - SanJay
  - Nunito
  - Kennesaw
  - clemson
  - okstate
  - ga
  - stony
  - osu
  - ou
  - jhu
  - ncsu
  - Kinnon
  - Sanjay
  - Goel
  - Muschalek
  - Vianes
  - Amey
  # Misc. Common Terms
  - mkdocs
  - netplan
  - netcat
  - passwordless
  - iframe
  - autoplay
  - allowfullscreen
  - fortawesome
  - VITE
  - nowrap
  - tbody
  - thead
  - mouseenter
  - mouseleave
  - rgba
  - popperjs
  - semibold
  - sveltejs
  - sveltekit
  - tailwindcss
  - keycloak
  - keyof
  - typeof
  - hackathons
  - nowrap
  - entrypoint
  - golint
  - auths
  - creds
  - kaniko
  - markdownlint
  - mkdir
